Displaying 6 results from an estimated 6 matches for "g0943".
Did you mean:
10943
2009 Nov 09
1
[PATCH libguestfs] avoid "syntax-check" failure
...ath, char *buf, size_t size)
{
- const char *r;
+ char *r;
int free_it = 0;
r = rlc_lookup (path);
@@ -361,7 +361,7 @@ fg_readlink (const char *path, char *buf, size_t size)
buf[len] = '\0';
if (free_it)
- free ((char *) r);
+ free (r);
return 0;
}
--
1.6.5.2.351.g0943
2009 Nov 09
1
[PATCH libguestfs] placate 'make syntax-check'
...ivex/hivex.c b/hivex/hivex.c
index 40b5697..a2200a2 100644
--- a/hivex/hivex.c
+++ b/hivex/hivex.c
@@ -30,7 +30,6 @@
#include <iconv.h>
#include <sys/mman.h>
#include <sys/stat.h>
-#include <assert.h>
#ifdef HAVE_ENDIAN_H
#include <endian.h>
#endif
--
1.6.5.2.351.g0943
2009 Nov 09
1
[PATCH libguestfs] fix doc typo
...ed in the L<guestfish(1)> manual page, or you can use
-L<virt-inspector(1)> and/or the the wrapper script
+L<virt-inspector(1)> and/or the wrapper script
C<guestmount-wrapper> to help you.
FUSE lets you mount filesystems as non-root. The mountpoint must be
--
1.6.5.2.351.g0943
2009 Nov 09
1
use STREQ(a,b), not strcmp(a,b) == 0
...a,b,n) (strncasecmp((a),(b),(n)) == 0)
+#define STRNEQLEN(a,b,n) (strncmp((a),(b),(n)) != 0)
+#define STRCASENEQLEN(a,b,n) (strncasecmp((a),(b),(n)) != 0)
+#define STRPREFIX(a,b) (strncmp((a),(b),strlen((b))) == 0)
+
typedef struct guestfs_h guestfs_h;
/* Connection management. */
--
1.6.5.2.351.g0943
>From 9353c6253d5fac1648b13ad9958468a2d9f6ad6f Mon Sep 17 00:00:00 2001
From: Jim Meyering <meyering at redhat.com>
Date: Mon, 9 Nov 2009 13:58:42 +0100
Subject: [PATCH libguestfs 02/10] convert uses of strcasecmp to STRCASEEQ
git grep -l 'strcasecmp *([^=]*== *0'| xargs \
per...
2009 Nov 10
1
[PATCH libguestfs] build: die early if we lack ocaml, ocamlfind or ocaml-xml-light
...return 1
+ return 0
+}
+
+require_ocaml_pkg xml-light \
+ || { echo "you must have ocaml, ocamlfind and ocaml-xml-light"; exit 1; }
+
# If no arguments were specified and configure has run before, use the previous
# arguments
if [ $# == 0 -a -x ./config.status ]; then
--
1.6.5.2.351.g0943
2009 Nov 09
1
[PATCH libguestfs] indent with spaces, not TABs
...} else {
- @cmd = ("hivexget", $localhive, $path);
+ @cmd = ("hivexget", $localhive, $path);
}
system (@cmd) == 0
- or die "hivexget command failed: $?\n";
+ or die "hivexget command failed: $?\n";
}
=head1 SEE ALSO
--
1.6.5.2.351.g0943